ruby-on-rails – 找不到有效的宝石’mysql2-0.3.18.gem’

我是Ruby on rails的新手,我在Rails安装过程中遇到了这个问题.我已经搜索了很多并尝试了许多解决方案,这些解决方案在stackoverflow上可用,但对我来说没什么用.请帮助我如何摆脱这个问题..
最佳答案
我以前遇到过这个问题,你之所以得到这种方法,是因为你试图从https网站下载.

我的猜测是你试图在你的gemfile中安装所有的gem并且bundle install不起作用.它会给你一个消息

bundler cannot continue. Please make sure gem install samplegem succeeds

更改gemfile中的以下行

source 'https://rubygems.org'

source 'http://rubygems.org'

并运行捆绑

或者,您可以执行以下操作

gem install mysql2 -s http://rubygems.org

无论哪种方式,您都应该能够安装gem.

转载注明原文:ruby-on-rails – 找不到有效的宝石’mysql2-0.3.18.gem’ - 代码日志